osl::eval::ml::ppair Namespace Reference

- Main Page
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Functions | Variables
osl::eval::ml::ppair Namespace Reference

## Functions
void | makeOffsetIndex ()
int | inv (int offset_id)
int | swaplr (int offset_id)
int | swapud (int offset_id)
int | pindex (Player player, Ptype ptype)
void | makeTable ()
void | makeTableX ()
int | wrap9 (int y)
void | makeTableY ()

## Variables
CArray< int, 0x200 > | offset_index
PiecePair::IndexTable & | plain_table = PiecePair::plain_table
CArray< PiecePair::IndexTable, 10 > & | x_table = PiecePair::x_table
CArray< PiecePair::IndexTable, 10 > & | y_table = PiecePair::y_table
CArray3d< int, PTYPEO_SIZE, 12, PTYPEO_SIZE > | x_values [10]
CArray3d< int, PTYPEO_SIZE, 12, PTYPEO_SIZE > | y_values [10]

## Function Documentation

int osl::eval::ml::ppair::inv | ( | int | offset_id) |  |
| inline

Definition at line 46 of file piecePair.cc.

Referenced by osl::eval::ml::PiecePair::IndexTable::fillBW(), osl::eval::ml::PiecePair::IndexTable::fillDiffer(), osl::eval::ml::PiecePair::IndexTable::fillSame(), makeTable(), makeTableX(), makeTableY(), and swapud().

void osl::eval::ml::ppair::makeOffsetIndex | ( | ) |  |

Definition at line 39 of file piecePair.cc.

References offset_index, and osl::eval::ml::PiecePair::offsets.

Referenced by osl::eval::ml::PiecePair::init().

void osl::eval::ml::ppair::makeTable | ( | ) |  |

Definition at line 64 of file piecePair.cc.

References osl::BLACK, osl::eval::ml::PiecePair::IndexTable::fillDiffer(), osl::eval::ml::PiecePair::IndexTable::fillSame(), inv(), pindex(), plain_table, osl::eval::ml::PiecePair::plain_table_size, osl::PTYPE_MAX, and osl::PTYPE_PIECE_MIN.

Referenced by osl::eval::ml::PiecePair::init().

void osl::eval::ml::ppair::makeTableX | ( | ) |  |

Definition at line 143 of file piecePair.cc.

References osl::BLACK, inv(), osl::eval::ml::PiecePair::offsets, pindex(), osl::eval::ml::PiecePair::plain_table_size, osl::PTYPE_MAX, osl::PTYPE_PIECE_MIN, swaplr(), swapud(), osl::WHITE, x_table, and osl::eval::ml::PiecePair::x_table_size.

Referenced by osl::eval::ml::PiecePair::init().

void osl::eval::ml::ppair::makeTableY | ( | ) |  |

Definition at line 228 of file piecePair.cc.

References osl::BLACK, inv(), osl::eval::ml::PiecePair::offsets, pindex(), osl::eval::ml::PiecePair::plain_table_size, osl::PTYPE_MAX, osl::PTYPE_PIECE_MIN, swaplr(), osl::WHITE, wrap9(), osl::eval::ml::PiecePair::x_table_size, y_table, and osl::eval::ml::PiecePair::y_table_size.

Referenced by osl::eval::ml::PiecePair::init().

int osl::eval::ml::ppair::pindex | ( | Player | player,
|  | Ptype | ptype
| ) |  |

Definition at line 63 of file piecePair.cc.

References osl::eval::ml::PiecePair::IndexTable::pindex().

Referenced by osl::eval::ml::PiecePair::IndexTable::fillBW(), osl::eval::ml::PiecePair::IndexTable::fillDiffer(), makeTable(), makeTableX(), and makeTableY().

int osl::eval::ml::ppair::swaplr | ( | int | offset_id) |  |
| inline

Definition at line 51 of file piecePair.cc.

Referenced by makeTableX(), makeTableY(), and swapud().

int osl::eval::ml::ppair::swapud | ( | int | offset_id) |  |
| inline

Definition at line 58 of file piecePair.cc.

References inv(), and swaplr().

Referenced by makeTableX().

int osl::eval::ml::ppair::wrap9 | ( | int | y) |  |

Definition at line 224 of file piecePair.cc.

Referenced by makeTableY().

## Variable Documentation

CArray<int, 0x200> osl::eval::ml::ppair::offset_index

Definition at line 34 of file piecePair.cc.

Referenced by osl::eval::ml::PiecePair::evalWithUpdate(), osl::eval::ml::PiecePair::evalWithUpdateCompiled(), and makeOffsetIndex().

PiecePair::IndexTable& osl::eval::ml::ppair::plain_table = PiecePair::plain_table

Definition at line 35 of file piecePair.cc.

Referenced by osl::eval::ml::PiecePair::compile(), osl::eval::ml::PiecePair::index(), and makeTable().

CArray<PiecePair::IndexTable, 10>& osl::eval::ml::ppair::x_table = PiecePair::x_table

Definition at line 36 of file piecePair.cc.

Referenced by osl::eval::ml::RookMobilityAll::adjust(), osl::eval::ml::PiecePair::compile(), osl::eval::ml::BishopHead::eval(), osl::eval::ml::King25Mobility::eval(), osl::eval::ml::King25BothSide::evalOne(), osl::eval::ml::PiecePair::index(), makeTableX(), osl::eval::ml::RookMobilityX::setUp(), and osl::eval::ml::King3Pieces::value().

CArray3d<int, PTYPEO_SIZE, 12, PTYPEO_SIZE> osl::eval::ml::ppair::x_values[10]

Definition at line 291 of file piecePair.cc.

Referenced by osl::eval::ml::PiecePair::adjust12(), osl::eval::ml::PiecePair::adjust12One(), osl::eval::ml::PiecePair::compile(), osl::eval::ml::PiecePair::evalWithUpdateCompiled(), osl::eval::ml::PiecePair::sum12(), osl::eval::ml::PiecePair::sum12One(), and osl::eval::ml::PiecePair::valueCompiled().

CArray<PiecePair::IndexTable, 10>& osl::eval::ml::ppair::y_table = PiecePair::y_table

Definition at line 37 of file piecePair.cc.

Referenced by osl::eval::ml::RookMobilityAll::adjust(), osl::eval::ml::PromotedMinorPieces::adjust(), osl::eval::ml::PiecePair::compile(), osl::eval::ml::King25Mobility::eval(), osl::eval::ml::PawnPtypeOPtypeO::eval(), osl::eval::ml::King25BothSide::evalOne(), osl::eval::ml::King25Effect3::evalOne(), osl::eval::ml::King25EffectCountCombination::evalOne(), osl::eval::ml::PawnPtypeOPtypeO::evalWithUpdate(), osl::eval::ml::PiecePair::index(), makeTableY(), osl::eval::ml::RookMobilityY::setUp(), and osl::eval::ml::King3Pieces::value().

CArray3d<int, PTYPEO_SIZE, 12, PTYPEO_SIZE> osl::eval::ml::ppair::y_values[10]

Definition at line 291 of file piecePair.cc.

Referenced by osl::eval::ml::PiecePair::adjust12(), osl::eval::ml::PiecePair::adjust12One(), osl::eval::ml::PiecePair::compile(), osl::eval::ml::PiecePair::evalWithUpdateCompiled(), osl::eval::ml::PiecePair::sum12(), osl::eval::ml::PiecePair::sum12One(), and osl::eval::ml::PiecePair::valueCompiled().